Skip to main content
GET
Recent Trades

Path Parameters

market
string
required

Market pair name

Example:

"BTC_USDT"

Query Parameters

type
enum<string>

Can be buy or sell

Available options:
buy,
sell
Example:

"sell"

Response

Successful response

tradeID
integer
required

A unique ID associated with the trade for the currency pair transaction Note: Unix timestamp does not qualify as trade_id.

Example:

158056419

price
string
required

Transaction price in quote pair volume.

Example:

"9186.13"

quote_volume
string
required

Transaction amount in quote pair volume.

Example:

"0.0021"

base_volume
string
required

Transaction amount in base pair volume.

Example:

"9186.13"

trade_timestamp
integer
required

Unix timestamp in milliseconds, identifies when the transaction occurred.

Example:

1594391747

type
enum<string>
required

Used to determine whether or not the transaction originated as a buy or sell. Buy – Identifies an ask that was removed from the order book. Sell – Identifies a bid that was removed from the order book.

Available options:
buy,
sell
Example:

"sell"

rpi
boolean

Indicates that the trade originates from a Retail Price Improvement (RPI) order.

Example:

true